Bug 263308 - amarok crashes if i select track to queue, remove it from playlist and try to open "edit queue"
Summary: amarok crashes if i select track to queue, remove it from playlist and try to...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4.0
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
: 266135 274047 274052 274163 276522 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-16 12:28 UTC by Vasily
Modified: 2011-06-26 20:06 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
New crash information added by DrKonqi (20.50 KB, text/plain)
2011-01-17 20:27 UTC, Diego Agulló
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vasily 2011-01-16 12:28:21 UTC
Version:           2.4.0 (using KDE 4.5.5) 
OS:                Linux

amarok crashes if i select track to queue, remove it from playlist and try to open "edit queue"


Reproducible: Always

Steps to Reproduce:
Add song to queue
Delete from current playing list this song (or replace all playlist)
Open "Edit queue"

Actual Results:  
crash

Expected Results:  
work

OS: Linux (i686) release 2.6.36-ARCH
Compiler: gcc
Comment 1 Myriam Schweingruber 2011-01-16 18:37:29 UTC
We need a backtrace. If you can reproduce this bug, please check here on how to get a valid backtrace:

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 2 Vasily 2011-01-16 18:56:56 UTC
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb0d24720 (LWP 15075))]

Thread 10 (Thread 0xac3e7b70 (LWP 15081)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xae596193 in vlc_cond_wait () from /usr/lib/libvlccore.so.4
#4  0x089c2e60 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0xa7ae3b70 (LWP 15088)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5944cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb512a770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb512d40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb512a3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb512d4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb512bf1e in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb512bfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb59445f9 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#15 0xb575ed2e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa82e4b70 (LWP 15089)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5944cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb512a770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb512d40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb512a3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb512d4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#15 0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#16 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#17 0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#18 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#19 0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#20 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#21 0xb512bf1e in ?? () from /usr/lib/libthreadweaver.so.4
#22 0xb512bfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#23 0xb59445f9 in ?? () from /usr/lib/libQtCore.so.4
#24 0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#25 0xb575ed2e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa9161b70 (LWP 15090)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5944cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb512a770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb512d40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb512a3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb512d4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb512d519 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb512bf1e in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb512bfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0xb59445f9 in ?? () from /usr/lib/libQtCore.so.4
#16 0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#17 0xb575ed2e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa1eaeb70 (LWP 15091)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb3f9a6b7 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#5  0xb575ed2e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa153eb70 (LWP 15092)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5944cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb512a770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb512d40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb512a3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb512d4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb512a303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb512bf1e in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb512bfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb59445f9 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#13 0xb575ed2e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa043fb70 (LWP 15095)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb542830b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb4baf887 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb4baf8d1 in ?? () from /usr/lib/libQtScript.so.4
#5  0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#6  0xb575ed2e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9120db70 (LWP 16992)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb54286b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5944c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb593a571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb59445f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb575ed2e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x94dfeb70 (LWP 16994)):
#0  0xb7756424 in __kernel_vsyscall ()
#1  0xb54286b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb576c744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5944c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb593a571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb59445f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5423dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb575ed2e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb0d24720 (LWP 15075)):
[KCrash Handler]
#7  0xb6a36815 in ?? () from /usr/lib/libamaroklib.so.1
#8  0xb6a36b23 in ?? () from /usr/lib/libamaroklib.so.1
#9  0xb6a5bb7e in ?? () from /usr/lib/libamaroklib.so.1
#10 0xb692b973 in ?? () from /usr/lib/libamaroklib.so.1
#11 0xb5a3fc2a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#12 0xb5a4fa7f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#13 0xb5efc6a9 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#14 0xb5efc90b in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#15 0xb63dd972 in QToolButton::nextCheckState() () from /usr/lib/libQtGui.so.4
#16 0xb630ac23 in ?? () from /usr/lib/libQtGui.so.4
#17 0xb630af1e in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#18 0xb63dda5c in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#19 0xb5f5c55a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb6309f5e in QAbstractButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb63df1da in QToolButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
#22 0xb5f03854 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0xb5f08df9 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#24 0xb75639ba in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#25 0xb5a395ab in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#26 0xb5f047c7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#27 0xb5f8d31c in ?? () from /usr/lib/libQtGui.so.4
#28 0xb5f8be9f in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#29 0xb5fb5632 in ?? () from /usr/lib/libQtGui.so.4
#30 0x45847b72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#31 0x45848350 in ?? () from /usr/lib/libglib-2.0.so.0
#32 0x45848604 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#33 0xb5a66b4c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0xb5fb5245 in ?? () from /usr/lib/libQtGui.so.4
#35 0xb5a38769 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#36 0xb5a38a0a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#37 0xb5a3d45f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#38 0xb5f016a7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#39 0x08050c68 in _start ()
Comment 3 Myriam Schweingruber 2011-01-16 19:14:24 UTC
Sorry, but your backtrace is not useful, as you are lacking debugging symbols.  Dr. Konqi allows you to install the missing debugging symbols when it starts.
Comment 4 Vasily 2011-01-17 14:11:10 UTC
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0xb0f05720 (LWP 16522))]

Thread 16 (Thread 0xac5c8b70 (LWP 16528)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xae777193 in vlc_cond_wait () from /usr/lib/libvlccore.so.4
#4  0x09f555d8 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 15 (Thread 0xa6cfcb70 (LWP 16534)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5b26cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb530c770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb530f40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb530c3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb530f4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb530df1e in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb530dfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#14 0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#15 0xb5940d2e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa80feb70 (LWP 16535)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5b26cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb530c770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb530f40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb530c3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb530f4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb530df1e in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb530dfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#15 0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#16 0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#17 0xb5940d2e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa8fd8b70 (LWP 16536)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5b26cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb530c770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb530f40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb530c3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb530f4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb530df1e in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb530dfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#13 0xb5940d2e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa78fdb70 (LWP 16537)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb417b6b7 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#5  0xb5940d2e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa14aab70 (LWP 16538)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb5b26cdf in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb530c770 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0xb530f40c in ?? () from /usr/lib/libthreadweaver.so.4
#6  0xb530c3bb in ?? () from /usr/lib/libthreadweaver.so.4
#7  0xb530f4fa in ?? () from /usr/lib/libthreadweaver.so.4
#8  0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#14 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#15 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#16 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#17 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#18 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#19 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#20 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#21 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#22 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#23 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#24 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#25 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#26 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#27 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#28 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#29 0xb530f519 in ?? () from /usr/lib/libthreadweaver.so.4
#30 0xb530c303 in ?? () from /usr/lib/libthreadweaver.so.4
#31 0xb530df1e in ?? () from /usr/lib/libthreadweaver.so.4
#32 0xb530dfdb in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#33 0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#34 0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#35 0xb5940d2e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa0c96b70 (LWP 16539)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb5939ec1 in select () from /lib/libc.so.6
#2  0xb5bfb8c1 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#4  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#5  0xb5940d2e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa0495b70 (LWP 16541)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a30b in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e6ed in pthread_cond_wait () from /lib/libc.so.6
#3  0xb4d91887 in ?? () from /usr/lib/libQtScript.so.4
#4  0xb4d918d1 in ?? () from /usr/lib/libQtScript.so.4
#5  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#6  0xb5940d2e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x98a32b70 (LWP 16547)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x98231b70 (LWP 16549)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x91743b70 (LWP 16581)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x97747b70 (LWP 16582)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x91f44b70 (LWP 16583)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x957efb70 (LWP 16584)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x94feeb70 (LWP 16585)):
#0  0xb7709424 in __kernel_vsyscall ()
#1  0xb560a6b3 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb594e744 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb5b26c5f in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0xb5b1c571 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb5b265f9 in ?? () from /usr/lib/libQtCore.so.4
#6  0xb5605dd0 in start_thread () from /lib/libpthread.so.0
#7  0xb5940d2e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb0f05720 (LWP 16522)):
[KCrash Handler]
#7  0xb7709424 in __kernel_vsyscall ()
#8  0xb589cc91 in raise () from /lib/libc.so.6
#9  0xb589e51e in abort () from /lib/libc.so.6
#10 0xb5b1e042 in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#11 0xb5b1e1e7 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb5b1e2f9 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#13 0xb5b1e385 in qt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#14 0xb6b77807 in KSharedPtr<Meta::Track>::operator-> (this=0xbfa78e2c) at /usr/include/KDE/../ksharedptr.h:126
#15 0xb6bee4fe in PlaylistQueueEditor::updateView (this=0xa891e10) at /home/vasya/Desktop/amarok-2.4.0/src/playlist/PlaylistQueueEditor.cpp:60
#16 0xb6bedff4 in PlaylistQueueEditor::PlaylistQueueEditor (this=0xa891e10) at /home/vasya/Desktop/amarok-2.4.0/src/playlist/PlaylistQueueEditor.cpp:35
#17 0xb6bfdb9b in Playlist::Dock::slotEditQueue (this=0xa335ed0) at /home/vasya/Desktop/amarok-2.4.0/src/playlist/PlaylistDock.cpp:298
#18 0xb6b2f52d in Playlist::Dock::qt_metacall (this=0xa335ed0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfa79018) at /home/vasya/Desktop/amarok-2.4.0/src/moc_PlaylistDock.cpp:89
#19 0xb5c21c2a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#20 0xb5c31a7f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#21 0xb60de6a9 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#22 0xb60de90b in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#23 0xb65bf972 in QToolButton::nextCheckState() () from /usr/lib/libQtGui.so.4
#24 0xb64ecc23 in ?? () from /usr/lib/libQtGui.so.4
#25 0xb64ecf1e in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#26 0xb65bfa5c in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#27 0xb613e55a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#28 0xb64ebf5e in QAbstractButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
#29 0xb65c11da in QToolButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
#30 0xb60e5854 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#31 0xb60eadf9 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#32 0xb75169ba in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#33 0xb5c1b5ab in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#34 0xb60e67c7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#35 0xb616f31c in ?? () from /usr/lib/libQtGui.so.4
#36 0xb616de9f in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#37 0xb6197632 in ?? () from /usr/lib/libQtGui.so.4
#38 0x45847b72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#39 0x45848350 in ?? () from /usr/lib/libglib-2.0.so.0
#40 0x45848604 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#41 0xb5c48b4c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#42 0xb6197245 in ?? () from /usr/lib/libQtGui.so.4
#43 0xb5c1a769 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#44 0xb5c1aa0a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#45 0xb5c1f45f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#46 0xb60e36a7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#47 0x08050638 in main (argc=1, argv=0xbfa7a9d4) at /home/vasya/Desktop/amarok-2.4.0/src/main.cpp:268
Comment 5 Diego Agulló 2011-01-17 20:27:57 UTC
Created attachment 56146 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

I selected a song to play, then after a few seconds I selected another one and Amarok crashed.

-- Backtrace (Reduced):
#6  0x00007f6a5003077a in PlaylistQueueEditor::updateView (this=<value optimized out>) at ../../src/playlist/PlaylistQueueEditor.cpp:60
#7  0x00007f6a50032f3a in PlaylistQueueEditor::PlaylistQueueEditor (this=0x2b517a0) at ../../src/playlist/PlaylistQueueEditor.cpp:35
#8  0x00007f6a50041295 in Playlist::Dock::slotEditQueue (this=0x18a79a0) at ../../src/playlist/PlaylistDock.cpp:298
#9  0x00007f6a4ff6dbc4 in Playlist::Dock::qt_metacall (this=0x18a79a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff1dd59150) at moc_PlaylistDock.cpp:89
[...]
#11 0x00007f6a4f2e8852 in QAction::triggered (this=0x7fff1dd58e90, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
Comment 6 Kevin Funk 2011-01-18 19:32:00 UTC
commit fad23be806d444427da666d1f0829f6fabfaf4a5
branch master
Author: Kevin Funk <krf@electrostorm.net>
Date:   Tue Jan 18 19:23:56 2011 +0100

    Remove dead IDs from the queue
    
    Remove track IDs that are about to be removed from the underlying
    playlist model. Fix crash when activating the queue editor when an
    already removed track was still in the queue.
    
    BUG: 263308

diff --git a/ChangeLog b/ChangeLog
index c886eb6..332eabb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -13,6 +13,8 @@ VERSION 2.4.1
       <bhargav.1191@gmail.com>. (BR 248690)
 
   BUGFIXES:
+    * Fixed crash in the queue editor when trying to show already
+      removed items of the playlist. (BR 263308)
     * Fixed Mute button. (BR 253098)
     * Fixed issue with Organize collection, which made amarok remove newly copied tracks.
       (BR 263301)
diff --git a/src/playlist/navigators/TrackNavigator.cpp b/src/playlist/navigators/TrackNavigator.cpp
index 1b071f8..9d11d37 100644
--- a/src/playlist/navigators/TrackNavigator.cpp
+++ b/src/playlist/navigators/TrackNavigator.cpp
@@ -37,6 +37,7 @@ Playlist::TrackNavigator::TrackNavigator()
     //   Ignore SIGNAL dataChanged: we don't need to know when a playlist item changes.
     //   Ignore SIGNAL layoutChanged: we don't need to know when rows are moved around.
     connect( m_model->qaim(), SIGNAL( modelReset() ), this, SLOT( slotModelReset() ) );
+    connect( m_model->qaim(), SIGNAL( rowsAboutToBeRemoved( QModelIndex, int, int ) ), this, SLOT( slotRowsAboutToBeRemoved( QModelIndex, int, int ) ) );
     //   Ignore SIGNAL rowsInserted.
 }
 
@@ -106,6 +107,18 @@ Playlist::TrackNavigator::slotModelReset()
     m_queue.clear();    // We should check 'm_model's new contents, but this is unlikely to bother anyone.
 }
 
+void
+Playlist::TrackNavigator::slotRowsAboutToBeRemoved(const QModelIndex& parent, int start, int end)
+{
+    Q_UNUSED( parent );
+
+    for ( int row = start; row <= end; ++row )
+    {
+        const quint64 itemId = m_model->idAt( row );
+        m_queue.removeAll( itemId );
+    }
+}
+
 quint64
 Playlist::TrackNavigator::bestFallbackItem()
 {
diff --git a/src/playlist/navigators/TrackNavigator.h b/src/playlist/navigators/TrackNavigator.h
index 4456164..a5fb0fc 100644
--- a/src/playlist/navigators/TrackNavigator.h
+++ b/src/playlist/navigators/TrackNavigator.h
@@ -112,6 +112,7 @@ namespace Playlist
 
         private slots:
             void slotModelReset();
+            void slotRowsAboutToBeRemoved( const QModelIndex &parent, int start, int end );
 
         protected:
             /**
Comment 7 Myriam Schweingruber 2011-02-16 20:23:56 UTC
*** Bug 266135 has been marked as a duplicate of this bug. ***
Comment 8 Andreas Hartmetz 2011-03-25 22:09:26 UTC
Git commit 81fd6990a4684202571baebc92415ccfbda62651 by Andreas Hartmetz.
Committed on 25/03/2011 at 22:03.
Pushed by ahartmetz into branch 'master'.

Don't dequeue tracks hidden from view while searching, second try.

This time while keeping bug 263308 closed.
We remove a track from the queue when it is removed from the *bottom*
model in the model stack, i.e. permanently.

BUG: 237300
CCBUG: 263308

M  +4    -2    src/playlist/navigators/TrackNavigator.cpp     

http://commits.kde.org/amarok/81fd6990a4684202571baebc92415ccfbda62651
Comment 9 Myriam Schweingruber 2011-05-26 09:16:37 UTC
*** Bug 274047 has been marked as a duplicate of this bug. ***
Comment 10 Myriam Schweingruber 2011-05-26 09:17:39 UTC
*** Bug 274052 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2011-05-27 23:54:35 UTC
*** Bug 274163 has been marked as a duplicate of this bug. ***
Comment 12 Myriam Schweingruber 2011-06-26 20:06:38 UTC
*** Bug 276522 has been marked as a duplicate of this bug. ***